Fapi_GetEsysBlobs
Feature API

## Functions

TSS2_RC | Fapi_GetEsysBlob_Async (FAPI_CONTEXT *context, char const *path)
TSS2_RC | Fapi_GetEsysBlob_Finish (FAPI_CONTEXT *context, uint8_t *type, uint8_t **data, size_t *length)

## Detailed Description

FAPI functions to invoke GetEsysBlobs either as one-call or in an asynchronous manner.

## Function Documentation

## Fapi_GetEsysBlob_Async()

TSS2_RC Fapi_GetEsysBlob_Async | ( | FAPI_CONTEXT * | context,
|  | char const * | path )

Asynchronous function for Fapi_GetEsysBlob

Prepares the reading of the blobs from keystore or TPM. Call Fapi_GetEsysBlob_Finish to finish the execution of this command.

Parameters

  [in,out] | context | The ESAPI_CONTEXT
  [in] | path | The path of the FAPI object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context or path is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_PATH | if path does not map to a FAPI entity.
  TSS2_FAPI_RC_NOT_DELETABLE | if the entity is not deletable or the path is read-only.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_NO_TPM | if FAPI was initialized in no-TPM-mode via its config file.
  TSS2_FAPI_RC_PATH_NOT_FOUND | if a FAPI object path was not found during authorization.
  TSS2_FAPI_RC_KEY_NOT_FOUND | if a key was not found.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_ESYS_RC_* | possible error codes of ESAPI.

## Fapi_GetEsysBlob_Finish()

TSS2_RC Fapi_GetEsysBlob_Finish | ( | FAPI_CONTEXT * | context,
|  | uint8_t * | type,
|  | uint8_t ** | data,
|  | size_t * | length )

Asynchronous finish function for Fapi_GetEsysBlob

This function should be called after a previous Fapi_GetEsysBlob_Async.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [out] | type | The type of the returned blob.
  [out] | data | The binary blob which can be used to create a ESAPI object.
  [out] | length | The size of the binary blob.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_TRY_AGAIN | if the asynchronous operation is not yet complete. Call this function again later.
  TSS2_FAPI_RC_GENERAL_FAILURE | if an internal error occurred.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_PATH_NOT_FOUND | if a FAPI object path was not found during authorization.
  TSS2_FAPI_RC_KEY_NOT_FOUND | if a key was not found.
  TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN | if a required authorization callback is not set.
  TSS2_FAPI_RC_AUTHORIZATION_FAILED | if the authorization attempt fails.
  TSS2_FAPI_RC_POLICY_UNKNOWN | if policy search for a certain policy digest was not successful.
  TSS2_ESYS_RC_* | possible error codes of ESAPI.
  TSS2_FAPI_RC_NOT_PROVISIONED | FAPI was not provisioned.
  TSS2_FAPI_RC_BAD_PATH | if the path is used in inappropriate context or contains illegal characters.